Site Studio — Templates
3 Endpunkte. Basis-URL: https://xapi.ambertech.cloud/api/v1
List the organization’s site templates#
GET
/site-templatesTokenAntworten
- 200OK
Beispiel (cURL)
curl -X GET "https://xapi.ambertech.cloud/api/v1/site-templates" \
-H "Authorization: Bearer $XISUITE_TOKEN"Delete a site template (sites made from it are unaffected)#
DELETE
/site-templates/{templateId}TokenParameter
| Name | Ort | Typ | Beschreibung |
|---|---|---|---|
templateIdPflicht | Pfad | string | – |
Antworten
- 200OK
Beispiel (cURL)
curl -X DELETE "https://xapi.ambertech.cloud/api/v1/site-templates/{templateId}" \
-H "Authorization: Bearer $XISUITE_TOKEN"Save a site as a reusable template#
POST
/site-templates/from-site/{funnelId}TokenParameter
| Name | Ort | Typ | Beschreibung |
|---|---|---|---|
funnelIdPflicht | Pfad | string | – |
Request-Body
| Name | Typ | Beschreibung |
|---|---|---|
namePflicht | string | Template name (unique per organization, ignoring case) |
description | object | Short description |
Antworten
- 201Erstellt
Beispiel (cURL)
curl -X POST "https://xapi.ambertech.cloud/api/v1/site-templates/from-site/{funnelId}" \
-H "Authorization: Bearer $XISUITE_TOKEN" \
-H "Content-Type: application/json" \
-d '{"name":"…"}'